<?php
if ( !defined( 'ABSPATH' ) ) exit;

/**
 * Sliders Metabox
 *
 * @package All In One Custom Post
 * @since All In One Custom Post 7.0.0 
 */
return array(
	'id'          => 'vr_sliders',
	'types'       => array( 'vr_sliders' ),
	'title'       => __( 'Slider Option', PLUGIN_NAME ),
	'priority'    => 'high',
	'mode'        => WPALCHEMY_MODE_EXTRACT,
	'template'    => array(
		array(
			'name' 			=> 'align',
			'type' 			=> 'radiobutton',
			'label' 		=> __( 'Slider Text Align', PLUGIN_NAME ),
			'description' 	=> __( 'Select slider text align.', PLUGIN_NAME ),
			'validation'	=> 'required',
			'items' => array(
				array(
					'value' => 'slider-item-left',
					'label' => __( 'Left', PLUGIN_NAME ),
				),
				array(
					'value' => 'slider-item-center',
					'label' => __( 'Center', PLUGIN_NAME ),
				),
				array(
					'value' => 'slider-item-right',
					'label' => __( 'Right', PLUGIN_NAME ),
				),
			),
			'default' => array(
				'slider-item-left',
			),
		),
		array(
			'name' 			=> 'v_align',
			'type' 			=> 'radiobutton',
			'label' 		=> __( 'Slider Text Vertical', PLUGIN_NAME ),
			'description' 	=> __( 'select slider text vertical.', PLUGIN_NAME ),
			'validation'	=> 'required',
			'items' => array(
				array(
					'value' => 'slider-item-v-top',
					'label' => __( 'Top', PLUGIN_NAME ),
				),
				array(
					'value' => 'slider-item-v-center',
					'label' => __( 'Middle', PLUGIN_NAME ),
				),
				array(
					'value' => 'slider-item-v-bottom',
					'label' => __( 'Bottom', PLUGIN_NAME ),
				),
			),
			'default' => array(
				'slider-item-v-center',
			),
		),
		array(
			'name' 			=> 'scheme',
			'type' 			=> 'radiobutton',
			'label' 		=> __( 'Slider Text Scheme', PLUGIN_NAME ),
			'description' 	=> __( 'Select slider text scheme.', PLUGIN_NAME ),
			'validation'	=> 'required',
			'items' => array(
				array(
					'value' => 'dark',
					'label' => __( 'Dark', PLUGIN_NAME ),
				),
				array(
					'value' => 'light',
					'label' => __( 'Light', PLUGIN_NAME ),
				),
			),
			'default' => array(
				'light',
			),
		),
		array(
			'name'      	=> 'title',
			'type'      	=> 'textbox',
			'label' 		=> __( 'Slider Title', PLUGIN_NAME ),
			'description' 	=> __( 'add slider title.', PLUGIN_NAME ),
			'default' 		=> __( 'Slider Title Text Here', PLUGIN_NAME ),
		),
		array(
			'name'      	=> 'content',
			'type'      	=> 'textarea',
			'label' 		=> __( 'Slider Content', PLUGIN_NAME ),
			'description' 	=> __( 'add slider content.', PLUGIN_NAME ),
			'default' 		=> __( 'Slider Content Text Here', PLUGIN_NAME ),
		),
		array(
			'name'      	=> 'picture',
			'type'      	=> 'upload',
			'label' 		=> __('Picture File', 'armada' ),
			'description' 	=> __('Select picture.', 'armada' ),
		),
		array(
			'name'      	=> 'button_1_caption',
			'type'      	=> 'textbox',
			'label' 		=> __( 'Slider Button 1 Caption', PLUGIN_NAME ),
			'description' 	=> __( 'Add button 1 caption.', PLUGIN_NAME ),
			'default' 		=> 'Download Now',
		),
		array(
			'name'      	=> 'button_1_picture',
			'type'      	=> 'upload',
			'label' 		=> __('Button 1 Picture', 'armada' ),
			'description' 	=> __('Select button 1 picture.', 'armada' ),
		),
		array(
			'name'      	=> 'button_1_icon',
			'type'      	=> 'fontawesome',
			'label' 		=> __( 'Slider Button 1 Icon', PLUGIN_NAME ),
			'description' 	=> __( 'Add button 1 icon.', PLUGIN_NAME ),
			'default' 		=> 'fa-download',
		),
		array(
			'name'      	=> 'button_1_url',
			'type'      	=> 'textbox',
			'label' 		=> __( 'Slider Button 1 URL', PLUGIN_NAME ),
			'description' 	=> __( 'add button 1 url.', PLUGIN_NAME ),
			'validation'	=> 'url',
		),
		array(
			'name'      	=> 'button_2_caption',
			'type'      	=> 'textbox',
			'label' 		=> __( 'Slider Button 2 Caption', PLUGIN_NAME ),
			'description' 	=> __( 'Add button 2 caption.', PLUGIN_NAME ),
			'default' 		=> 'Read More',
		),
		array(
			'name'      	=> 'button_2_picture',
			'type'      	=> 'upload',
			'label' 		=> __('Button 2 Picture', 'armada' ),
			'description' 	=> __('Select button 2 picture.', 'armada' ),
		),
		array(
			'name'      	=> 'button_2_icon',
			'type'      	=> 'fontawesome',
			'label' 		=> __( 'Slider Button 2 Icon', PLUGIN_NAME ),
			'description' 	=> __( 'add button 2 icon.', PLUGIN_NAME ),
			'default' 		=> 'fa-file-text-o',
		),
		array(
			'name'      	=> 'button_2_url',
			'type'      	=> 'textbox',
			'label' 		=> __( 'Slider Button 2 URL', PLUGIN_NAME ),
			'description' 	=> __( 'add button 2 url.', PLUGIN_NAME ),
			'validation'	=> 'url',
		),
	),
);

/*
 * EOF
 */